spatialite_dxf(1)

NAME
spatialite_dxf - an utility for DXF import

SYNOPSIS
\FCspatialite_dxf\F[]
[\FC-h\F[]] [\FC-d\F[] pathname] [\FC-x\F[] pathname] [\FC-s\F[] num] [\FC-p\F[] layer_prefix] [\FC-l\F[] layer_name] [\FC-all\F[]] [\FC-distinct\F[] | \FC-mixed\F[]] [\FC-auto\F[] | \FC-2d\F[] | \FC-3d\F[]] [\FC-linked\F[] | \FC-unlinked\F[]] [\FC-a\F[]] [\FC-m\F[]] [\FC-jo\F[]]

DESCRIPTION
spatialite_dxf is an utility CLI tool for DXF import.

OPTIONS

\FC-h\F[], \FC--help\F[]
    print help message

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB path

\FC-x\F[] pathname, \FC--dxf-path\F[] pathname
    the input DXF path

\FC-s\F[] num, \FC--srid\F[] num
    an explicit SRID value

\FC-p\F[] layer_prefix, \FC--prefix\F[] layer_prefix
    prefix for DB layer names

\FC-l\F[] layer_name, \FC--layer\F[] layer_name
    will import a single DXF layer

\FC-all\F[], \FC--all-layers\F[]
    will import all layers (default)

\FC-distinct\F[], \FC--distinct-layers\F[]
    respecting individual DXF layers

\FC-mixed\F[], \FC--mixed-layers\F[]
    merging layers altogether by type

    distinct|mixed are mutually exclusive; by default: distinct

\FC-auto\F[], \FC--auto_2d_3d\F[]
    2D/3D based on input geometries

\FC-2d\F[], \FC--force_2d\F[]
    unconditionally force 2D

\FC-3d\F[], \FC--force_3d\F[]
    unconditionally force 3D

    auto|2d|3d are mutually exclusive; by default: auto

\FC-linked\F[], \FC--linked-rings\F[]
    support linked polygon rings

\FC-unlinked\F[], \FC--unlinked-rings\F[]
    support unlinked polygon rings

    linked|unlinked are mutually exclusive; by default: none

\FC-a\F[], \FC--append\F[]
    appends to already exixting tables

\FC-m\F[], \FC--in-memory\F[]
    using IN-MEMORY database

\FC-jo\F[], \FC--journal-off\F[]
    unsafe (but faster) mode